Store APIsCases
List case messages
Returns the messages on a support case in chronological order. Requires the CASES_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48caseId*string
Length
12 <= length <= 48Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
50Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/cases/stringstring/messages"{ "ok": true, "data": { "items": [ { "id": "cmsg_q1mzj0kxw5h7n4tr3bcfp2v8", "senderType": "CUSTOMER", "senderId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "body": "Hi, the key I got for my order doesn't activate. Can you help?", "createdAt": "2026-05-14T13:00:00.000Z", "attachments": [] } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}